jdk/test/sun/tools/jrunscript/jrunscript-cpTest.sh
changeset 1084 4d4d63dfdef9
parent 2 90ce3da70b43
child 1247 b4c26443dee5
--- a/jdk/test/sun/tools/jrunscript/jrunscript-cpTest.sh	Sun Aug 17 17:02:04 2008 -0700
+++ b/jdk/test/sun/tools/jrunscript/jrunscript-cpTest.sh	Mon Aug 18 15:28:54 2008 -0700
@@ -25,13 +25,19 @@
 
 
 # @test
-# @bug 6265810
+# @bug 6265810 6705893
+# @build CheckEngine
 # @run shell jrunscript-cpTest.sh
 # @summary Test -cp option to set classpath
 
 . ${TESTSRC-.}/common.sh
 
 setup
+${JAVA} -cp ${TESTCLASSES} CheckEngine
+if [ $? -eq 2 ]; then
+    echo "No js engine found and engine not required; test vacuously passes."
+    exit 0
+fi
 
 rm -f Hello.class
 ${JAVAC} ${TESTSRC}/Hello.java -d .